// Sample file for the use of Gobo_Lights in your scenes
// Created by Roderick van Gelder

#include "gobo.inc"      // The Gobo description file
#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

camera {
 location  <-2.0, 5.0, -25.0 >
 direction <0.0, 0.0, 2.0 >
 up        <0.0, 1.0, 0.0 >
 right     <1.33, 0.0, 0.0 >
 look_at   < 1.0, 5.0, 0.0 >
}
object {union { Gobo_Light1
               rotate < -45, 0 , 0 >  // Rotate X & Z axis here  
               rotate <   0, 30 , 0 >  // Rotate Y-axis last
               translate < -2 , 8 , 0 >
      }
      }

object {union { Gobo_Light2
               rotate < 0, 0 , -45 >  // Rotate X & Z axis here  
               rotate <   0, 0 , 0 >  // Rotate Y-axis last
               translate < 4 , 8 , -3 >
      }
      }


// Just a bit of a floor
 box{ <-1, -1, -1>, <1, 1, 1>
    scale < 8.0, 0.5, 12.0 >
 texture {White_Marble
               scale < 2, 1, 3 > 
               }
}
// And a sky
 sphere {< 0, 0, 0 >, 100 
 texture{ Blue_Sky
               scale < 30, 6, 10 >
               ambient 0.8
               }
}

// General Lighting
  light_source{< 10 ,  15 ,  3  > color Gray50 }
