// Gobo Include File ( GAM reference ) 
// POV 2.0 version
// by Roderick van Gelder ( CompuServe 100237,3073 )
// Please let me know if you have any suggestions

#include "colors.inc"
#include "textures.inc"

//*************  Gobo Projectors  ***********

#declare Gobo_Light1=
 union {
 cylinder {<0.0, -2.0, 0.0>, <0.0, 1.5, 0.0>, 0.9 open}
 sphere {<  0,  1.5,  0 >, 1 }
 light_source{< 0 ,  -0.0 ,  0  > color White }         // Change Y position to change light beam angle
// Gobo Holder
               box{ <-1, -1, -1>, <1, 1, 1>
               scale < 1.0,0.001,1.0>
               pigment {   image_map  { 
                              gif "gam201.gif"  once   // Change image here
                              map_type 0
                              filter 1, 1
                       }
                              rotate < 90, 0, 0 >
                              translate < -0.5, 0, -0.5 >
                              scale < 1.8, 1.8, 1.8 >
                  }
               translate < 0.0, -2.0, 0.0>
               }
    pigment { Black }
    finish  { Dull }
 }


#declare Gobo_Light2=
 union {
 cylinder {<0.0, -2.0, 0.0>, <0.0, 1.5, 0.0>, 0.9 open}
 sphere {<  0,  1.5,  0 >, 1 }
 light_source{< 0 ,  -0.0 ,  0  > color White }         // Change Y position to change light beam angle
// Gobo Holder
               box{ <-1, -1, -1>, <1, 1, 1>
               scale < 1.0,0.001,1.0>
               pigment {   image_map  { 
                              gif "gam575.gif"  once   
                              map_type 0
                              filter 1, 1
                       }
                              rotate < 90, 0, 0 >
                              translate < -0.5, 0, -0.5 >
                              scale < 1.8, 1.8, 1.8 >
                  }
               translate < 0.0, -2.0, 0.0>
               }
    pigment { Black }
    finish  { Dull }
 }


